{% extends 'base.html.twig' %}

{% block title %}Task index{% endblock %}

{% block body %}

    <h1>Task Management - Jurny</h1>

    <table class="table">
        <thead>
            <tr>
                {#<th>Id</th>#}
                <th>Title</th>
                <th>Description</th>
                <th>DueDate</th>
                <th>IsCompleted</th>
                <th>createdAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for task in tasks %}
            <tr>
                {#<td>{{ task.id }}</td>#}
                <td>{{ task.title }}</td>
                <td>{{ task.description }}</td>
                <td>{{ task.dueDate ? task.dueDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ task.isCompleted ? 'Yes' : 'No' }}</td>
                <td>{{ task.createdAt ? task.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('app_task_show', {'uuid': task.taskUuid}) }}">show</a>
                    <a href="{{ path('app_task_edit', {'uuid': task.taskUuid}) }}">edit</a>
                    {% if task.isCompleted %}
                        <form method="post" action="{{ path('app_task_incompleted', {'uuid': task.taskUuid}) }}">
                            <input type="hidden" name="_token" value="{{ csrf_token('update' ~ task.taskUuid) }}">
                            <button class="btn">Mark as InCompleted</button>
                        </form>
                    {% else %}
                        <form method="post" action="{{ path('app_task_completed', {'uuid': task.taskUuid}) }}">
                            <input type="hidden" name="_token" value="{{ csrf_token('update' ~ task.taskUuid) }}">
                            <button class="btn">Mark as Completed</button>
                        </form>
                    {% endif %}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <a href="{{ path('app_task_new') }}">Create new</a>
{% endblock %}
